com.qualcomm.ftccommon

## Class FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName

- java.lang.Object
- - com.qualcomm.ftccommon.FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName

- All Implemented Interfaces:
    java.lang.Comparable<FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName>
  Enclosing class:
    FtcLynxModuleAddressUpdateActivity

      protected class FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName
      extends java.lang.Object
      implements java.lang.Comparable<FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `address`
    `java.lang.String` | `displayName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddressAndDisplayName(int address, boolean changeable)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName another)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### displayName

          public final java.lang.String displayName

    - #### address

          public final int address

  - ### Constructor Detail

    - #### AddressAndDisplayName

          public AddressAndDisplayName(int address,
                                       boolean changeable)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName another)

      Specified by:
        `compareTo` in interface `java.lang.Comparable<FtcLynxModuleAddressUpdateActivity.AddressAndDisplayName>`